# -*- coding: utf-8 -*-

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　　影楓　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13",2)
UI.UpdateLog("【下載空間】：[ES下載] www.adrive.com (免空)",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：輸入該站網址進行下載!!",2)

import re

UI.UpdateLog("※連結至 www.adrive.com 下載網址...",4)
HTML = HTTP.GetURL(UI.Link)
Match = re.search("location\.href \= \"([^\"]+)",HTML)
if Match == None:
	UI.UpdateLog("※無法擷取下載網址..." + HTML,3)
	UI.ProceFalse()
	exit()
else:
	DownloadLink = Match.group(1)
Header = HTTP.GetHeader(DownloadLink)
Match = re.search('filename\=\"([^\"]+)',Header)
if Match == None:
	UI.UpdateLog("※無法擷取檔案名稱..." + HTML,3)
	UI.ProceFalse()
	exit()
else:
	DownloadName = Match.group(1)
UI.UpdateLog("※檔案名稱 → " + DownloadName,4)
UI.UpdateLog("※下載載點 → " + DownloadLink,4)
UI.FileName = (DownloadName)
UI.UpdateLog("=================================================================")
UI.UpdateLog("※開始下載...",4)
Staus=UI.DownloadURL(DownloadLink)
if Staus == True:
	UI.UpdateLog("※檔案下載成功!!",4)
	UI.UpdateLog("=================================================================")
else:
	UI.UpdateLog("※檔案下載失敗，請確認網站是否改版或下載網址是否失效...",3)
	UI.ProceFalse()
	exit()